
<ul class="list-group list-group-light">
    <li *ngFor="let bit of ShowBits"  class="list-group-item d-flex justify-content-between align-items-center">
      <div class="d-flex align-items-center">
        <img *ngIf="helper.isObjectEmptyOrNull(bit.profilPic)" src="https://mdbootstrap.com/img/new/avatars/8.jpg" alt="" style="width: 45px; height: 45px"
          class="rounded-circle" />
          <img *ngIf="!helper.isObjectEmptyOrNull(bit.profilPic)" [src]="helper.GetImageSafeUrl(bit.profilPic.base64Bytes,bit.profilPic.type)" alt="" style="width: 45px; height: 45px"
          class="rounded-circle" />
        <div class="ms-3">
          <a class="fw-bold mb-1" href="{{frontUrl}}VisitorCard/{{bit.visitorId}}">{{bit.visitorName}}</a>
          <p class="text-muted mb-0">{{bit.comments[0].content}}</p>
        </div>
      </div>
      <a *ngIf="isClient" class="btn  btn-rounded btn-success btn-sm" (click)="Accept(bit)" role="button">Accept</a>
      <a *ngIf="isClient" class="btn  btn-rounded btn-success btn-sm" (click)="Respond(bit)" role="button">Respond</a>
      <a *ngIf="isClient" (click)="Reject(bit)" class="btn  btn-rounded btn-danger  btn-sm"  role="button">Reject</a>
      <h3 *ngIf="!isClient">{{GetStateName(bit)}}</h3>
      <a  class="btn  btn-rounded btn-success  btn-sm" href="{{frontUrl}}TM/{{bit.id}}"  role="button">View in details</a>

    </li>
  </ul>